Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Salesforce Tenant Secret APIs

Synchronizing Tenant Secrets

search

Please Note:

Synchronizing Tenant Secrets

Use the post /v1/cckm/sfdc/keys/synchronization-jobs API to synchronize the Salesforce tenant secrets between the Salesforce cloud and the CipherTrust Manager. You can synchronize tenant secrets of particular organizations or all organizations at once.

After the synchronization is complete, for every secret type, there will be only one ACTIVE tenant secret. All other secrets will be in the ARCHIVE or DELETE state.

curl -k '<IP>/api/v1/cckm/sfdc/keys/synchronization-jobs' -H 'Authorization: Bearer AUTHTOKEN' -H 'Content-Type: application/json' --data-binary $'{\n  "synchronize_all": true\n}' --compressed

Request Parameters

ParameterTypeDescription
AUTHTOKENstringAuthorization token.
organization_idsarray of stringsList of IDs of the Salesforce organization resources on the CipherTrust Manager.
synchronize_allbooleanWhether to synchronize all keys from all organizations. Set to true to synchronize keys among all organizations.

Organization id and synchronize_all are mutually exclusive. Specify one of them.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/sfdc/keys/synchronization-jobs' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI0MmFmZDExNy02YzllLTRhNGUtOTAwYS1lYjlhNDNjYWE5ZDIiLCJzdWIiOiJsb2NhbHwzMTI5ODdkMS0wOWNiLTQxZTEtOThmNy1jZjRhNzgwNTZiMTMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNDVmOWE3NWUtMzI1NC00NWJkLWE0NzYtOWU2NWUyNjdmNGVkIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjdiYzNkOWM4LWRiYTQtNDVmMy05YWNiLWI3NGM2MzQyYzYyMCIsImlhdCI6MTYxNDc1MTg1MSwiZXhwIjoxNjE0NzUyMTUxfQ.ahdxfM7-WA4u7sotHy6qelc9MkoZytst7oZWsvE7Cr0' -H 'Content-Type: application/json' --data-binary $'{\n  "synchronize_all": true\n}' --compressed

Example Response

{
    "id": "c8d2f27b-fb4f-4557-b63c-00d4a1439c4a",
    "uri": "kylo:kylo:cckm:synchronize:c8d2f27b-fb4f-4557-b63c-00d4a1439c4a",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2021-07-27T03:06:20.002297124Z",
    "updatedAt": "2021-07-27T03:06:20.006691656Z",
    "overall_status": "in_progress",
    "cloud": "sfdc",
    "kms": [
        "00DB000000040bIMAQ"
    ],
    "abort": false
}

The sample output displays that the synchronization of the Salesforce tenant secrets in the specified organization is "in_progress". The ID of the synchronization job is c8d2f27b-fb4f-4557-b63c-00d4a1439c4a.

To check the updated status of the synchronization job, refer to Viewing Synchronization Status or Viewing Details of a Synchronization Job for details. When the overall_status becomes "completed", the synchronization is complete.

Response Codes

Response CodeDescription
2xxSuccess
4xxClient errors
5xxServer errors

Refer to HTTP status codes for details.